Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31912 - Localized language name as title attribute of language code-proficiency part
Localized language name as title attribute of language code-proficiency part
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
Babel (Other open bugs)
unspecified
All All
: Unprioritized enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2011-10-23 23:07 UTC by Brendan McClure
Modified: 2012-10-04 09:53 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brendan McClure 2011-10-23 23:07:17 UTC
English Wiktionary's babel templates feature as a title attribute of the language code-proficiency section the name of the language in English. This is the best way I've seen of exposing to the viewer who hasn't memorized ISO 639 what is being referenced.
Comment 1 Robin Pepermans (SPQRobin) 2011-11-13 22:03:36 UTC
I do not see any difference between the English Wiktionary system and the usual system. Could you give an example or explain please?
Comment 2 Brendan McClure 2011-11-14 00:38:34 UTC
Usual system is do nothing or like English Wikipedia, have a wikilink to the Wikipedia language article, e.g. [[w:Template:User_bn-2]] features a link to [[w:Bengali language]] on the bn-2 section.

English Wiktionary has the title attribute which produces a tooltip with the language name localized for the viewer, e. g. [[wikt:Template:User_bn-2]] with the tooltip 'Bengali' over bn-2.

On reflection this bug can be broadened to expose in some way the name of the language localized for the viewer so they can identify it easily. The English Wiktionary one seemed to me the best, but certainly the merits of possibly approaches are worth considering.
Comment 3 Niklas Laxström 2011-11-14 07:59:26 UTC
Page content cannot depend on user language, not without help from JavaScript at least.
Comment 4 Daniel Friesen 2011-11-14 08:40:16 UTC
(In reply to comment #3)
> Page content cannot depend on user language, not without help from JavaScript
> at least.

There is a little bit of room for post-processing. Like how it's done with the edit section link now.
Comment 5 Niklas Laxström 2011-11-14 09:11:51 UTC
Is there any documentation on that? Is there general consensus that more post processing is fine?
Comment 6 Robin Pepermans (SPQRobin) 2011-11-14 10:15:12 UTC
(In reply to comment #5)
> Is there general consensus that more post processing is fine?
In that case it would be nice to have the top and footer in the user language :)

Anyway, what I suppose is certainly possible is having it in the content language of the wiki, regardless of user language (as it is on en.wiktionary).
Comment 7 Robin Pepermans (SPQRobin) 2011-11-14 10:36:37 UTC
Just thinking out loud... It could be nice to have a title tooltip on the whole box which could be the text in the content language (like, "This user has advanced knowledge of French", when the box says "Cet utilisateur dispose de connaissances avancées en français."), but then we would be stuck with the links that don't display nicely in a title attribute.
Comment 8 Siebrand Mazeland 2012-06-12 12:35:52 UTC
Update assignee and CCs
Comment 9 Siebrand Mazeland 2012-06-12 12:41:07 UTC
WONTFIX per comment 3. Feel free to set to LATER if you think that's more accurate.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links